RDKit: ForceFields::MMFF::BondStretchContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ForceFields::MMFF::BondStretchContrib Class Reference

The bond-stretch term for MMFF. More...

`#include <BondStretch.h>`

Inheritance diagram for ForceFields::MMFF::BondStretchContrib:

## Public Member Functions
| BondStretchContrib ()
| BondStretchContrib (ForceField *owner, const unsigned int idx1, const unsigned int idx2, const MMFFBond *mmffBondParams)
| Constructor. More...
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual BondStretchContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

The bond-stretch term for MMFF.

Definition at line 22 of file MMFF/BondStretch.h.

## Constructor & Destructor Documentation

ForceFields::MMFF::BondStretchContrib::BondStretchContrib | ( |  | ) |
| inline

Definition at line 24 of file MMFF/BondStretch.h.

Referenced by copy().

ForceFields::MMFF::BondStretchContrib::BondStretchContrib | ( | ForceField * | owner,
|  | const unsigned int | idx1,
|  | const unsigned int | idx2,
|  | const MMFFBond * | mmffBondParams
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions
  bondType | MMFF94 type of the bond (as an unsigned int)
  end1Params | pointer to the parameters for end1
  end2Params | pointer to the parameters for end2

## Member Function Documentation

virtual BondStretchContrib* ForceFields::MMFF::BondStretchContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 42 of file MMFF/BondStretch.h.

References BondStretchContrib().

double ForceFields::MMFF::BondStretchContrib::getEnergy | ( | double * | pos | ) | const
| virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

void ForceFields::MMFF::BondStretchContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/BondStretch.h